Subject: bug#23098: 25.0.92; (recenter -1) can leave point in the middle of the window

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Mar 2016 20:59:39 +0300

> From: Jorgen Schäfer <[email-masked]>
> Date: Mon, 28 Mar 2016 17:41:02 +0000
> Cc: [email-masked], [email-masked]
> 
>  I actually don't understand why you don't want to set
>  scroll-conservatively globally. From what you say, it sounds like
>  that variable is exactly what you want, and not only in this
>  situation. Can you explain why you don't see that as a solution?
> 
> When scrolling through the buffer with cursor-up/cursor-down, I want full-page scroll, not single-line scroll.

Emacs doesn't by default give you a full-page scroll, it recenters
point instead.

> These two situations have absolutely nothing to do with each other as far as the user experience is
> concerned. The reason why the two interact is purely technical and an artifact of how Emacs works
> underneath.

No, the reason is not technical.  This was coded specifically for
those who do want minimal scroll to bring point into view.  They
explicitly requested this behavior.

>  I'd welcome patches to try to fix this, but I think the best fix is
>  inside 'recenter': it should detect this situation and behave as if
>  its argument was modified so as not to request redisplay of the window
>  with window-start point that will cause recentering of point. 
> 
> Yes, for example. Great idea.
> 
>  Interested?
> 
> No, thank you.

Well, I hope someone else will be.